
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### interfaces (static)

tde_add_library( interfaces STATIC_PIC AUTOMOC
  SOURCES
    kmmviewinterface.cpp
    kmmstatementinterface.cpp
    kmmimportinterface.cpp

  DEPENDENCIES
    kmm-includes
)
